html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  color: #292727;
  line-height: 1.5;
}

body {
  min-height: 100vh;
}

/* Font */
h1 {
  font-family: "Anton SC";
  font-size: 48px;
  text-transform: uppercase;
  margin: 0;
}

h2 {
  font-family: "Young Serif";
  font-size: 36px;
  text-transform: uppercase;
  margin-bottom: 16px;
  margin-top: 0;
}

h3 {
  font-family: "Cal Sans";
  font-size: 24px;
  margin: 0;
  font-weight: 400;
}

h4 {
  font-family: "Anton SC";
  font-size: 32px;
  text-transform: uppercase;
  margin: 0;
}

h5 {
  font-family: "Bricolage Grotesque";
  font-size: 1rem;
  font-weight: 600;
  margin-top: 0;
  margin-bottom: 0;
}

h6 {
  font-family: "Cal Sans";
  font-size: 18px;
  margin: 0;
  font-weight: 400;
}

p {
  font-family: "Bricolage Grotesque";
  font-weight: 400;
  font-size: 24px;
}

li {
  font-family: "Bricolage Grotesque";
  font-weight: 500;
  font-size: 20px;
  text-transform: uppercase;
  text-decoration: none;
  list-style: none;
}

a {
  text-decoration: none;
  color: #292727;
}

/* SVG tło */
#bg-svg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;
  pointer-events: none;
  user-select: none;
}

/* Nawigacja */
.main-nav {
  position: sticky;
  top: 0;
  width: 100vw;
  background: #fff;
  z-index: 100;
  box-shadow: 0 1px 5px #0001;
  display: grid;
  grid-template-rows: 2fr 1fr;
  align-items: center;
  gap: 32px;
  padding: 16px 0 0 0;
  justify-items: center;
}

.nav-menu {
  display: flex;
  gap: 36px;
  padding: 0;
  margin: 0 0 8px 0;
  align-items: center;
  list-style: none;
}

.nav-menu a {
  display: flex;
  align-items: center;
  font-weight: 500;
  color: #292727;
}

.nav-menu a:hover {
  color: #1ebbee;
  border-bottom: solid 2px #f4acc2;
}

.nav-dot {
  display: inline-block;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  margin-right: 8px;
  flex-shrink: 0;
}

/* Hamburger button */
.nav-toggle {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 44px;
  height: 44px;
  background: none;
  border: none;
  cursor: pointer;
  z-index: 200;
  position: absolute;
  right: 24px;
  /* Odstęp od prawej krawędzi */
  top: 18px;
  /* Odstęp od góry nawigacji */
}

.nav-toggle span {
  display: block;
  width: 28px;
  height: 4px;
  margin: 4px 0;
  background: #1ebbee;
  border-radius: 2px;
  transition: 0.3s;
}

/* Animacja krzyżyka */
.nav-toggle.active span:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}

.nav-toggle.active span:nth-child(2) {
  opacity: 0;
}

.nav-toggle.active span:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

/* Sekcje */
.section {
  height: auto;
  background: #fff;
  margin: 0 auto 45px auto;
  padding: 80px 120px 100px 120px;
  justify-content: center;
  justify-items: center;
}

/* Landing */

.landing-content {
  display: grid;
  grid-template-columns: 0.6fr 1fr;
  align-items: center;
  width: 100%;
  gap: 64px;
}

/*Info*/

.info-content {
  display: flex;
  flex-direction: column;
  gap: 30px;
  align-items: end;
}

.info-bottom {
  display: flex;
  flex-direction: row;
  gap: 40px;
}

.info1 {
  justify-items: end;
}

.info2 {
  width: 370px;
  justify-content: flex-end;
  margin-top: 0;
}

.info2 p {
  margin-top: 0;
}

.margin-top {
  margin-top: -3px;
}

/* Slider */
.slider {
  position: relative;
  align-items: center;
  justify-content: center;
  width: 700px;
  height: 500px;
}

.slider-arrow {
  position: absolute;
  top: 50%;
  width: 50px;
  height: 50px;
  background: #fff;
  border: none;
  border-radius: 50%;
  box-shadow: 0 2px 8px #0002;
  font-size: 2rem;
  cursor: pointer;
  z-index: 2;
  opacity: 0.8;
  transition: background 0.2s;
}

.slider-arrow:hover {
  background: #f4acc2;
}

.slider-arrow.left {
  left: 10px;
}

.slider-arrow.right {
  right: 10px;
}

.slider-img {
  width: 100%;
}

/* Misja */
.misja-text {
  display: flex;
  flex-direction: column;
}

.misja-content {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 40px;
  align-items: center;
}

/* Final */

.final-foto {
  display: flex;
  flex-direction: column;
  gap: 52px;
  margin-top: 2rem;
}

.final-foto img {
    width: 100%;
    height: 100%;
}

.final-text {
 display: flex;
flex-direction: row;
align-items: center;
gap: 64px;
}

/* Filmy */
.videos-row {
  display: flex;
flex-direction: column;
  gap: 52px;
  margin-top: 64px;
  
}

.filmy-text {
  width: 850px;
}
.video-box iframe{
    width: 1120px;
    height: 630px;
}
          

/* Partnerzy */
.partnerzy-content {
  display: flex;
  flex-direction: row;
  gap: 40px;
}

.partnerzy-right {
  display: grid;
  grid-template-rows: 1fr 0.5fr;
  gap: 0;
}

.partnerzy-text {
  width: 700px;
}

.partnerzy-logo {
  display: grid;
  grid-template-rows: 1fr 1fr;
  align-items: center;
  gap: 0;
}

/* Kontakt */
.kontakt-content {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 64px;
}

/* Footer */
.site-footer {
  background-color: white;
  padding: 45px 0 30px 0;
  margin-top: 45px;
  justify-items: center;
}

.footer-content {
  display: flex;
  flex-direction: row;
  align-items: start;
  gap: 200px;
}

.footer-logo img {
  height: auto;
  width: auto;
  object-fit: contain;
}

.footer-contact {
  font-style: normal;
  font-family: "Bricolage Grotesque";
  font-size: 20px;
}

.nav-footer a:hover {
  color: #1ebbee;
  border-bottom: solid 2px #f4acc2;
}

/*+++++++ RESPONSYWNOSC +++++++*/

@media (min-width: 0) and (max-width: 1190px) {
  /* OGOLNE */
  /* Font */
  h1 {
    font-size: 1.5rem;
  }

  h2 {
    font-size: 1.3rem;
  }

  h3 {
    font-size: 1.1rem;
  }

  h4 {
    font-size: 1rem;
  }

  h5 {
    font-size: 1rem;
    margin-bottom: 8px;
  }

  h6 {
    font-size: 0.6rem;
  }

  p {
    font-size: 1rem;
    margin-top: 0;
  }

  li a {
    font-size: 1rem;
  }

  .footer-text p {
    margin-top: 16px;
  }

  /* Foto */

  img {
    width: 100%;
  }


  /* SEKCJE */

  .section {
    padding: 16px;
    margin: 16px;
    display: block;
  }

  .section-content {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }

  .section-content {
    display: block;
    width: 100%;
  }
  /* Final */
  .final-foto {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-top: 1rem;
}
  .final-text{
    display: block;
  }
  .video-final iframe{
       width: 100%;
                height:100%;
  }

  /* Info */
  .info-content {
    display: block;
  }

  .info-bottom {
    display: block;
    width: 100%;
  }

  .info2 {
    width: 100%;
  }

  .info3 {
    width: auto;
    height: auto;
  }

  .info3 figure {
    margin: 0;
  }

  /* Misja */
  .misja-content {
    display: block;
  }

  .info-content {
    display: block;
    height: auto;
  }

  #slider-misja figure {
    margin: 0;
  }

  /* Filmy */
  .videos-row {
    flex-direction: column;
    gap: 24px;
  }

  .video-box {
    width: auto;
    height: auto;
  }
  .video-box iframe{
    width: 100%;
    height: 100%;
}

  .filmy-text {
    width: 100%;
    padding: 0;
  }

  /* Parnterzy */
  .partnerzy-content {
    display: block;
    width: 100%;
  }
  .partnerzy-content figure {
    margin: 0;
  }

  .partnerzy-text {
    display: block;
    width: 100%;
  }

  .partnerzy-right {
    display: block;
  }

  .partnerzy img {
    width: 100%;
  }

  .partnerzy-logo {
    width: auto;
  }
  .partnerzy-logo figure {
    margin: 0;
  }

  /* Slider */
  .slider {
    width: auto;
    height: auto;
  }
  .slider-arrow.right {
    right: 11px;
    top: 88px;
  }
  .slider-arrow.left {
    right: 11px;
    top: 88px;
  }

  /* .slider-arrow {
                display: none;
            } */

  /* Footer */
  .footer-content {
    display: flex;
    flex-direction: column;
    gap: 32px;
  }

  .footer-logo {
    align-self: center;
  }

  .footer-logo img {
    height: 64px;
  }

  .nav-footer {
    display: flex;
    flex-direction: column;
    list-style: none;
    gap: 8px;
    padding: 0;
    text-decoration: none;
  }

  .nav-footer a {
    font-size: 1rem;
    color: #292727;
    font-weight: 400;
    justify-content: center;
    align-items: center;
    padding: 0;
  }
  .site-footer {
    background-color: white;
    padding: 16px;
    margin-top: 0;
    justify-items: center;
  }
  /* Menu mobilne */
  /* Navi */
  .nav-logo {
    z-index: 201;
  }
  .nav-logo img {
    height: 69px;
  }

  .main-nav {
    position: relative;
    height: 90px;
  }

  .nav-toggle {
    display: flex;
  }

  .nav-menu {
    position: absolute;
    top: 84px;
    left: 0;
    right: 0;
    background: #fff;
    flex-direction: column;
    gap: 0;
    display: none;
    padding: 16px 0 24px 0;
    z-index: 150;
  }

  .nav-menu.open {
    display: flex;
    align-items: self-start;
    padding: 16px 0 16px 134px;
    justify-content: center;
    justify-items: center;
    left: 0rem;
    justify-self: center;
    width: 100%;
  }
  .nav-menu li {
    margin: 0;
    padding: 16px 0;
    justify-content: center;
  }
}
